package com.ruoyi.bst.model.service.impl;

import java.util.Collections;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.bst.model.domain.ModelQuery;
import com.ruoyi.bst.model.mapper.ModelMapper;
import com.ruoyi.bst.model.service.ModelValidator;
import com.ruoyi.common.utils.collection.CollectionUtils;

@Service
public class ModelValidatorImpl implements ModelValidator {

    @Autowired
    private ModelMapper modelMapper;

    @Override
    public boolean canEdit(Long id) {
        return this.canOperate(Collections.singletonList(id));
    }

    @Override
    public boolean canDeleteAll(List<Long> ids) {
        return this.canOperate(ids);
    }
    
    // 当前用户是否可以操作
    private boolean canOperate(List<Long> ids) {
        if (CollectionUtils.isEmptyElement(ids)) {
            return false;
        }
        ModelQuery query = new ModelQuery();
        query.setIds(ids);
        List<Long> idList = modelMapper.selectIdList(query);
        return idList.contains(ids);
    }
    
    
}
